package com.enteprise.score.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * score对象 score
 *
 * @author ruoyi
 * @date 2024-11-13
 */
public class Score extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String mainBusinessScore;

    /** 用地面积得分 */
    @Excel(name = "用地面积得分")
    private Long landAreaScore;

    /** 工业总产值得分 */
    @Excel(name = "工业总产值得分")
    private Long totalIndustrialValueScore;

    /** 工业增加值得分 */
    @Excel(name = "工业增加值得分")
    private Long gdpScore;

    /** 应税收入得分 */
    @Excel(name = "应税收入得分")
    private Long taxableIncomeScore;

    /** 实缴税金得分 */
    @Excel(name = "实缴税金得分")
    private Long paidTaxScore;

    /** 主营业务收入得分 */
    @Excel(name = "主营业务收入得分")
    private Long mainBusinessIncomeScore;

    /** 从业人员数得分 */
    @Excel(name = "从业人员数得分")
    private Long employeeNumberScore;

    /** 利润总额得分 */
    @Excel(name = "利润总额得分")
    private Long profitScore;

    /** 所有者权益得分 */
    @Excel(name = "所有者权益得分")
    private Long ownerEquityScore;

    /** 研发经费得分 */
    @Excel(name = "研发经费得分")
    private Long fundingScore;

    /** 电力消费得分 */
    @Excel(name = "电力消费得分")
    private Long powerConsumeScore;

    /** 能源消费量得分 */
    @Excel(name = "能源消费量得分")
    private Long energyConsumeScore;

    /** 工业总产值得分 */
    @Excel(name = "工业总产值得分")
    private Long totalIndustrialValuePrecent;

    /** 应税收入得分 */
    @Excel(name = "应税收入得分")
    private Long taxableIncomePrecent;

    /** 实缴税金得分 */
    @Excel(name = "实缴税金得分")
    private Long paidTaxPrecent;

    /** 研发经费得分 */
    @Excel(name = "研发经费得分")
    private Long fundingPrecent;

    /** 电力消费得分 */
    @Excel(name = "电力消费得分")
    private Long powerConsumePrecent;

    /** 能源消费量得分 */
    @Excel(name = "能源消费量得分")
    private Long energyConsumePrecent;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String totalIndustrialValueLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String taxableIncomeLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String paidTaxLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String energyConsumeLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String fundingLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String powerConsumeLevel;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setMainBusinessScore(String mainBusinessScore)
    {
        this.mainBusinessScore = mainBusinessScore;
    }

    public String getMainBusinessScore()
    {
        return mainBusinessScore;
    }
    public void setLandAreaScore(Long landAreaScore)
    {
        this.landAreaScore = landAreaScore;
    }

    public Long getLandAreaScore()
    {
        return landAreaScore;
    }
    public void setTotalIndustrialValueScore(Long totalIndustrialValueScore)
    {
        this.totalIndustrialValueScore = totalIndustrialValueScore;
    }

    public Long getTotalIndustrialValueScore()
    {
        return totalIndustrialValueScore;
    }
    public void setGdpScore(Long gdpScore)
    {
        this.gdpScore = gdpScore;
    }

    public Long getGdpScore()
    {
        return gdpScore;
    }
    public void setTaxableIncomeScore(Long taxableIncomeScore)
    {
        this.taxableIncomeScore = taxableIncomeScore;
    }

    public Long getTaxableIncomeScore()
    {
        return taxableIncomeScore;
    }
    public void setPaidTaxScore(Long paidTaxScore)
    {
        this.paidTaxScore = paidTaxScore;
    }

    public Long getPaidTaxScore()
    {
        return paidTaxScore;
    }
    public void setMainBusinessIncomeScore(Long mainBusinessIncomeScore)
    {
        this.mainBusinessIncomeScore = mainBusinessIncomeScore;
    }

    public Long getMainBusinessIncomeScore()
    {
        return mainBusinessIncomeScore;
    }
    public void setEmployeeNumberScore(Long employeeNumberScore)
    {
        this.employeeNumberScore = employeeNumberScore;
    }

    public Long getEmployeeNumberScore()
    {
        return employeeNumberScore;
    }
    public void setProfitScore(Long profitScore)
    {
        this.profitScore = profitScore;
    }

    public Long getProfitScore()
    {
        return profitScore;
    }
    public void setOwnerEquityScore(Long ownerEquityScore)
    {
        this.ownerEquityScore = ownerEquityScore;
    }

    public Long getOwnerEquityScore()
    {
        return ownerEquityScore;
    }
    public void setFundingScore(Long fundingScore)
    {
        this.fundingScore = fundingScore;
    }

    public Long getFundingScore()
    {
        return fundingScore;
    }
    public void setPowerConsumeScore(Long powerConsumeScore)
    {
        this.powerConsumeScore = powerConsumeScore;
    }

    public Long getPowerConsumeScore()
    {
        return powerConsumeScore;
    }
    public void setEnergyConsumeScore(Long energyConsumeScore)
    {
        this.energyConsumeScore = energyConsumeScore;
    }

    public Long getEnergyConsumeScore()
    {
        return energyConsumeScore;
    }
    public void setTotalIndustrialValuePrecent(Long totalIndustrialValuePrecent)
    {
        this.totalIndustrialValuePrecent = totalIndustrialValuePrecent;
    }

    public Long getTotalIndustrialValuePrecent()
    {
        return totalIndustrialValuePrecent;
    }
    public void setTaxableIncomePrecent(Long taxableIncomePrecent)
    {
        this.taxableIncomePrecent = taxableIncomePrecent;
    }

    public Long getTaxableIncomePrecent()
    {
        return taxableIncomePrecent;
    }
    public void setPaidTaxPrecent(Long paidTaxPrecent)
    {
        this.paidTaxPrecent = paidTaxPrecent;
    }

    public Long getPaidTaxPrecent()
    {
        return paidTaxPrecent;
    }
    public void setFundingPrecent(Long fundingPrecent)
    {
        this.fundingPrecent = fundingPrecent;
    }

    public Long getFundingPrecent()
    {
        return fundingPrecent;
    }
    public void setPowerConsumePrecent(Long powerConsumePrecent)
    {
        this.powerConsumePrecent = powerConsumePrecent;
    }

    public Long getPowerConsumePrecent()
    {
        return powerConsumePrecent;
    }
    public void setEnergyConsumePrecent(Long energyConsumePrecent)
    {
        this.energyConsumePrecent = energyConsumePrecent;
    }

    public Long getEnergyConsumePrecent()
    {
        return energyConsumePrecent;
    }
    public void setTotalIndustrialValueLevel(String totalIndustrialValueLevel)
    {
        this.totalIndustrialValueLevel = totalIndustrialValueLevel;
    }

    public String getTotalIndustrialValueLevel()
    {
        return totalIndustrialValueLevel;
    }
    public void setTaxableIncomeLevel(String taxableIncomeLevel)
    {
        this.taxableIncomeLevel = taxableIncomeLevel;
    }

    public String getTaxableIncomeLevel()
    {
        return taxableIncomeLevel;
    }
    public void setPaidTaxLevel(String paidTaxLevel)
    {
        this.paidTaxLevel = paidTaxLevel;
    }

    public String getPaidTaxLevel()
    {
        return paidTaxLevel;
    }
    public void setEnergyConsumeLevel(String energyConsumeLevel)
    {
        this.energyConsumeLevel = energyConsumeLevel;
    }

    public String getEnergyConsumeLevel()
    {
        return energyConsumeLevel;
    }
    public void setFundingLevel(String fundingLevel)
    {
        this.fundingLevel = fundingLevel;
    }

    public String getFundingLevel()
    {
        return fundingLevel;
    }
    public void setPowerConsumeLevel(String powerConsumeLevel)
    {
        this.powerConsumeLevel = powerConsumeLevel;
    }

    public String getPowerConsumeLevel()
    {
        return powerConsumeLevel;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("enterpriseName", getEnterpriseName())
                .append("location", getLocation())
                .append("code", getCode())
                .append("mainBusinessScore", getMainBusinessScore())
                .append("landAreaScore", getLandAreaScore())
                .append("totalIndustrialValueScore", getTotalIndustrialValueScore())
                .append("gdpScore", getGdpScore())
                .append("taxableIncomeScore", getTaxableIncomeScore())
                .append("paidTaxScore", getPaidTaxScore())
                .append("mainBusinessIncomeScore", getMainBusinessIncomeScore())
                .append("employeeNumberScore", getEmployeeNumberScore())
                .append("profitScore", getProfitScore())
                .append("ownerEquityScore", getOwnerEquityScore())
                .append("fundingScore", getFundingScore())
                .append("powerConsumeScore", getPowerConsumeScore())
                .append("energyConsumeScore", getEnergyConsumeScore())
                .append("totalIndustrialValuePrecent", getTotalIndustrialValuePrecent())
                .append("taxableIncomePrecent", getTaxableIncomePrecent())
                .append("paidTaxPrecent", getPaidTaxPrecent())
                .append("fundingPrecent", getFundingPrecent())
                .append("powerConsumePrecent", getPowerConsumePrecent())
                .append("energyConsumePrecent", getEnergyConsumePrecent())
                .append("totalIndustrialValueLevel", getTotalIndustrialValueLevel())
                .append("taxableIncomeLevel", getTaxableIncomeLevel())
                .append("paidTaxLevel", getPaidTaxLevel())
                .append("energyConsumeLevel", getEnergyConsumeLevel())
                .append("fundingLevel", getFundingLevel())
                .append("powerConsumeLevel", getPowerConsumeLevel())
                .append("year", getYear())
                .append("month", getMonth())
                .toString();
    }
}
